<?php


// Options Page

	if ( ! function_exists( 'rwp' ) ) :

		function rwp( $name ) {
			$default_theme_options = array(
				'logo' => '',
				'colorhd' => '#000000',
				'colorhdfont' => '#FFFFFF',
				'color1' => '#e91e63',
				'color2' => '#c2185b',
				'colorfontbuttons' => '#FFFFFF',
				'copyright' =>  '<a href="'.home_url().'">'.get_bloginfo( 'name' ).'</a>',
				);
		
			$options = wp_parse_args( get_option( 'rwp' ), $default_theme_options );

			return $options[$name];
		}
	endif;

add_action( 'customize_register', 'richwp_customize_register' );
function richwp_customize_register( $wp_customize ) {
	
	/* Logo */
			
	$wp_customize->add_setting( 'rwp[logo]', array(
		'default' => rwp( 'logo' ),
		'sanitize_callback' => 'esc_url_raw',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo', array(
		'label'   => __( 'Logo Image', 'video-world' ),
		'section' => 'title_tagline',
		'settings'   => 'rwp[logo]',
		'priority' => 20,
	) ) );
		
	
	$wp_customize->add_section( 'rwp_colors', array(
		'title' => __( 'Colors', 'video-world' ),
		'priority' => 100,
	) );
	
	$wp_customize->add_setting( 'rwp[colorhd]', array(
		'default' => rwp( 'colorhd' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhd', array(
		'label'   => __( 'Header Color', 'video-world' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[colorhd]',
		'priority' => 5,
	) ) );
	
	$wp_customize->add_setting( 'rwp[colorhdfont]', array(
		'default' => rwp( 'colorhdfont' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhdfont', array(
		'label'   => __( 'Header Font Color', 'video-world' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[colorhdfont]',
		'priority' => 10,
	) ) );
	
	$wp_customize->add_setting( 'rwp[color1]', array(
		'default' => rwp( 'color1' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color1', array(
		'label'   => __( 'Lead Color', 'video-world' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[color1]',
		'priority' => 20,
	) ) );
	
	$wp_customize->add_setting( 'rwp[color2]', array(
		'default' => rwp( 'color2' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color2', array(
		'label'   => __( '2. Lead Color', 'video-world' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[color2]',
		'priority' => 30,
	) ) );
	
	$wp_customize->add_setting( 'rwp[colorfontbuttons]', array(
		'default' => rwp( 'colorfontbuttons' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorfontbuttons', array(
		'label'   => __( 'Button Font Color', 'video-world' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[colorfontbuttons]',
		'priority' => 40,
	) ) );
	
	$wp_customize->add_section( 'rwp_misc', array(
		'title' => __( 'Misc.', 'video-world' ),
		'priority' => 120,
	) );
	
	$wp_customize->add_setting( 'rwp[copyright]', array(
		'default' => rwp( 'copyright' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'copyright', array(
		'label' => __( 'Copyright Notice in Footer', 'video-world' ),
		'section' => 'rwp_misc',
		'settings' => 'rwp[copyright]',
		'priority' => 30,
	) );
	
} 

function sanitize_text_html( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}

/* Add CSS */
function add_styles() {
  if ( ! function_exists( 'get_richicon_font' ) ) {
    $richicon_font = array(
        'base' => get_template_directory_uri()."/font/richicons",
        'version' => '13409114');
  } else {
    $richicon_font = get_richicon_font();
  }
 ?>
<style type="text/css">
@font-face {
  font-family: 'richicons';
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']; ?>');
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']."#iefix"; ?>') format('embedded-opentype'),
    url('<?php echo $richicon_font['base'].".woff?".$richicon_font['version']; ?>') format('woff'),
    url('<?php echo $richicon_font['base'].".ttf?".$richicon_font['version']; ?>') format('truetype'),
    url('<?php echo $richicon_font['base'].".svg?".$richicon_font['version']."#richicons"; ?>') format('svg');
    font-weight: normal;
    font-style: normal;
  }

header#header{
	background-color:<?php echo rwp('colorhd');?>;
}

a #sitetitle ,
a #sitedescription{
	color:<?php echo rwp('colorhdfont');?>;
} 

a, 
#footer-navigation a,
.author-link:after,
.entry-title a:hover,
.postbox a:hover .entry-title,
.entry-content .page-links a
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>						
		, .woocommerce .woocommerce-info::before<?php } }?>
	{
	color:<?php echo rwp('color1');?>;
}

.sf-menu a:hover,
.sf-menu .menu-item.sfHover,
.sf-menu .sub-menu .menu-item a:hover,
.sub-menu .menu-item:hover,
.sub-menu .menu-item.sfHover,
.sub-menu .menu-item.current-menu-item,
.sf-menu .current-menu-item
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>, 
		.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
		.woocommerce #payment #place_order,
		.woocommerce-page #payment #place_order,
		.woocommerce #respond input#submit.alt:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce a.button.alt:hover,
		.woocommerce button.button.alt:hover,
		.woocommerce input.button.alt:hover,
		.woocommerce input.button,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.add_to_cart_button:hover,
		.woocommerce #respond input#submit.alt,
		.woocommerce a.button.alt,
		.woocommerce button.button.alt,
		.woocommerce input.button.alt<?php } } ?>
	{
	background:<?php echo rwp('color1');?>;
}

.entry-content a.more-link,
.button,
.entry-content a.more-link:hover,
.button:hover, 
.add_to_cart_button:hover,
.entry-content a.more-link:focus,
.entry-content a.more-link:active,
.button:focus,
.add_to_cart_button:focus,
.comment-list .reply a,
.comment-list .reply a:hover
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>,
		.woocommerce ul.products li.product .button,
		.woocommerce input.button:hover,
		.woocommerce span.onsale<?php } } ?>
{
	background-color:<?php echo rwp('color2');?>;
}

<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>
			.woocommerce a.added_to_cart:before{
				color:<?php echo rwp('color2');?>;
			} 
		
			.woocommerce .woocommerce-info{
				border-top-color: <?php echo rwp('color2');?>;
			} 
<?php 	} 
	} ?>

.entry-content a.more-link,
.button,
.comment-list .reply a,
.comment-list .reply a:hover,
.add_to_cart_button
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>
		.woocommerce ul.products li.product .button,
		.woocommerce input.button,
		.woocommerce input.button:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.woocommerce span.onsale<?php } } ?>
	{
	color:<?php echo rwp('colorfontbuttons');?>;
}

<?php if ( !is_active_sidebar( 'sidebar-1' )  ) : ?>
body{
	background:#161718;
}

.site-content{
	float:none;
	margin-left:auto;
	margin-right:auto; 
	border-right:none;
}
<?php endif; ?>
</style>
<?php } add_action('wp_head', 'add_styles'); ?>